GccPlatformToolChain (Gradle API 8.11.1)

Package org.gradle.nativeplatform.toolchain

## Interface GccPlatformToolChain

- All Superinterfaces:
    `NativePlatformToolChain`

      @Incubating
      public interface GccPlatformToolChain
      extends NativePlatformToolChain

  GCC specific settings for the tools used to build for a particular platform.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GccCommandLineToolConfiguration` | `getAssembler()` | Returns the settings to use for the assembler.
    `GccCommandLineToolConfiguration` | `getcCompiler()` | Returns the settings to use for the C compiler.
    `GccCommandLineToolConfiguration` | `getCppCompiler()` | Returns the settings to use for the C++ compiler.
    `GccCommandLineToolConfiguration` | `getLinker()` | Returns the settings to use for the linker.
    `GccCommandLineToolConfiguration` | `getObjcCompiler()` | Returns the settings to use for the Objective-C compiler.
    `GccCommandLineToolConfiguration` | `getObjcppCompiler()` | Returns the settings to use for the Objective-C++ compiler.
    `GccCommandLineToolConfiguration` | `getStaticLibArchiver()` | Returns the settings to use for the archiver.

    - ### Methods inherited from interface org.gradle.nativeplatform.toolchain.NativePlatformToolChain

      `getPlatform`

- - ### Method Detail

    - #### getcCompiler

          GccCommandLineToolConfiguration getcCompiler()

      Returns the settings to use for the C compiler.

    - #### getCppCompiler

          GccCommandLineToolConfiguration getCppCompiler()

      Returns the settings to use for the C++ compiler.

    - #### getObjcCompiler

          GccCommandLineToolConfiguration getObjcCompiler()

      Returns the settings to use for the Objective-C compiler.

    - #### getObjcppCompiler

          GccCommandLineToolConfiguration getObjcppCompiler()

      Returns the settings to use for the Objective-C++ compiler.

    - #### getAssembler

          GccCommandLineToolConfiguration getAssembler()

      Returns the settings to use for the assembler.

    - #### getLinker

          GccCommandLineToolConfiguration getLinker()

      Returns the settings to use for the linker.

    - #### getStaticLibArchiver

          GccCommandLineToolConfiguration getStaticLibArchiver()

      Returns the settings to use for the archiver.